package cokr.xit.fims.cmmn.service;

import java.util.List;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;

import cokr.xit.foundation.data.DataObject;
import cokr.xit.foundation.test.TestSupport;

import cokr.xit.fims.cmmn.CrdnPayerHstry;
import cokr.xit.fims.cmmn.CrdnPayerHstryQuery;

/**CrdnPayerHstryService 테스트.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-16	leebj 최초 작성
 * ================================
 * </pre>
 */
public class CrdnPayerHstryServiceTest extends TestSupport {
	@Resource(name = "crdnPayerHstryService")
	private CrdnPayerHstryService crdnPayerHstryService;
	
	@Test
	void getCrdnPayerHstryList() {
		List<DataObject> crdnPayerHstryList = crdnPayerHstryService.getCrdnPayerHstryList(new CrdnPayerHstryQuery());
		crdnPayerHstryList.forEach(System.out::println);
	}
	
	@Test
	void getCrdnPayerHstrys() {
		List<CrdnPayerHstry> crdnPayerHstrys = crdnPayerHstryService.getCrdnPayerHstrys(new CrdnPayerHstryQuery());
		crdnPayerHstrys.forEach(System.out::println);
	}
	
	@Test
	void create() {}
	
	@Test
	void update() {}
	
	@Test
	void remove() {}
}